<!DOCTYPE html>
<html th:attr="lang=${lang}" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <title th:inline="text">.:: [[${@environment.getProperty('application.brand')}]] | [[${title}]] ::.</title>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"/>
	<link rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
	<link rel="stylesheet" th:href="@{/css/font-awesome.css}"/>
	<link rel="stylesheet" th:href="@{/css/theme.css}"/>
	<link rel="stylesheet" th:href="@{/css/theme-skin.css}"/>
	<link rel="stylesheet" th:href="@{/css/main.css}"/>
	<div th:replace="${view} :: css">CSS Here</div>
</head>
<body th:inline="text" class="hold-transition skin-blue fixed sidebar-mini">
    <div class="wrapper">
        <header th:replace="fragment/header :: header">Header</header>
        <aside th:replace="fragment/sidebar :: sidebar">Sidebar Menu</aside>
        <div class="content-wrapper">
            <section class="content-header">
                <h1>
                    [[${title}]]
                </h1>
                <ol th:replace="${view} :: breadcrumb" class="breadcrumb">Breadcrumb</ol>
            </section>
            <div th:replace="${view} :: content">Content Here</div>
        </div>
        <footer th:replace="fragment/footer :: footer">Footer</footer>
    </div>
    <script type="text/javascript" th:src="@{/js/jquery.js}"></script>
    <script type="text/javascript" th:src="@{/js/bootstrap.js}"></script>
    <script type="text/javascript" th:src="@{/js/app.js}"></script>
    <script type="text/javascript" th:src="@{/js/jquery.slimscroll.js}"></script>
    <script type="text/javascript" th:src="@{/js/jquery.validate.js}"></script>
    <script type="text/javascript" th:src="@{/js/form.js}"></script>
    <script type="text/javascript" th:src="@{/js/sweetalert.js}"></script>
    <script type="text/javascript" th:inline="javascript">
        /*<![CDATA[*/
	    var csrf = /*[[${_csrf.token}]]*/'';
        var header = "X-CSRF-TOKEN";
        $(document).ajaxSend(function (e, xhr, options) {
            xhr.setRequestHeader(header, csrf);
        });

        function guid() {
            return "ss-s-s-s-sss".replace(/s/g, s4);
        }

        function s4() {
            return Math.floor((1 + Math.random()) * 0x10000)
                .toString(16)
                .substring(1);
        }

        var tabId = guid();
        $(window).focus(function(){
            localStorage.setItem("activeTab", tabId);
        });

        $(document).ready(function(){
            localStorage.setItem("activeTab", tabId);
            var userSessionTimeout=/*[[${@environment.getProperty('user.session.timeout')}]]*/-1;
            userSessionTimeout=parseInt(userSessionTimeout)*1000
            if (!isNaN(userSessionTimeout) && userSessionTimeout > 0) {
                localStorage.setItem("idleMs", 0);
                window.setTimeout(checkIdle, 1000);
                $(document).bind('mousemove', function(){resetActive()});
                $(document).bind('keydown', function(){resetActive()});
                $(document).bind('click', function(){resetActive()});
            }

            function checkIdle() {
                var idleMs = 0;
                if (localStorage.getItem("idleMs")) {
                    idleMs = parseInt(localStorage.getItem("idleMs"));
                } else {
                    window.location.href=/*[[@{/login(error='ses-exp')}]]*/'';
                }
                if(idleMs >= userSessionTimeout) {
                    window.location.href=/*[[@{/login(error='ses-exp')}]]*/'';
                } else {
                    var activeTab = localStorage.getItem("activeTab");
                    if (activeTab == tabId) {
                        localStorage.setItem("idleMs", idleMs + 1000);
                    }
                    window.setTimeout(checkIdle, 1000);
                }
            }

            function resetActive(){
                localStorage.setItem("idleMs", 0);
            }

            jQuery.validator.setDefaults({
                messages:{
                    'name':{
                        required:/*[[#{field.error.required(${'__#{label.name}__'.toLowerCase()})}]]*/''
                    },
                    'username':{
                        required:/*[[#{field.error.required(${'__#{label.username}__'.toLowerCase()})}]]*/''
                    },
                    'password':{
                        required:/*[[#{field.error.required(${'__#{label.password}__'.toLowerCase()})}]]*/''
                    },
                    'email':{
                        required:/*[[#{field.error.required(${'__#{label.email}__'.toLowerCase()})}]]*/''
                    }
                },
                highlight: function(element) {
                    $(element).closest('.form-group').addClass('has-error');
                },
                unhighlight: function(element) {
                    $(element).closest('.form-group').removeClass('has-error');
                },
                errorElement: 'span',
                errorClass: 'help-block',
                errorPlacement: function(error, element) {
                    if(element.parent('.input-group').length) {
                        error.insertAfter(element.parent());
                    } else {
                        error.insertAfter(element);
                    }
                },
            });
        });
        /*]]>*/
    </script>
    <div th:replace="${view} :: js">JS Here</div>
</body>
</html>